WsFrameClient (Apache Tomcat 9.0.75 API Documentation)

Package org.apache.tomcat.websocket

## Class WsFrameClient

- java.lang.Object
- - org.apache.tomcat.websocket.WsFrameBase
  - - org.apache.tomcat.websocket.WsFrameClient

-     public class WsFrameClient
      extends WsFrameBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tomcat.websocket.WsFrameBase

      `WsFrameBase.ReadState`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.websocket.WsFrameBase

      `inputBuffer, wsSession`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WsFrameClient​(java.nio.ByteBuffer response, AsyncChannelWrapper channel, WsSession wsSession, Transformation transformation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Log` | `getLog()` |
    `protected boolean` | `isMasked()` |
    `protected void` | `resumeProcessing()` | This method will be invoked when the read operation is resumed.

    - ### Methods inherited from class org.apache.tomcat.websocket.WsFrameBase

      `byteArrayToLong, changeReadState, changeReadState, getReadState, getTransformation, isOpen, isSuspended, processInputBuffer, resume, sendMessageBinary, sendMessageText, suspend, updateStats`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsFrameClient

          public WsFrameClient​(java.nio.ByteBuffer response,
                               AsyncChannelWrapper channel,
                               WsSession wsSession,
                               Transformation transformation)

  - ### Method Detail

    - #### isMasked

          protected boolean isMasked()

      Specified by:
        `isMasked` in class `WsFrameBase`

    - #### getLog

          protected Log getLog()

      Specified by:
        `getLog` in class `WsFrameBase`

    - #### resumeProcessing

          protected void resumeProcessing()

      Description copied from class: `WsFrameBase`
      This method will be invoked when the read operation is resumed. As the suspend of the read operation can be invoked at any time, when implementing this method one should consider that there might still be data remaining into the internal buffers that needs to be processed before reading again from the socket.
      Specified by:
        `resumeProcessing` in class `WsFrameBase`